REST APISettle (Off Exchange)Settlement Disputes

GET

This API call allows clients to list disputes associated with their settlements.

Requires access token scope: settlement_network_read

Path Params

  • enterpriseId string required
    The enterprise identifier of the client. This identifies the client enterprise that owns the allocation.

    at least 1 characters

Query Params

  • settlementIds array of strings
    Optional array of settlement ids. If provided will only return disputes with a disputedSettlementId matching one of the provided settlementIds.
  • settledInSettlementIds array of strings
    Optional array of settlement ids. If provided will only return disputes with a settledInSettlementId matching one of the provided settlementIds.
  • connectionIds array of strings
    Optional array of connection ids. If provided will only return disputes with a connectionId matching one of the provided connectionIds.
  • partnerIds array of strings
    Optional array of partner ids. If provided will only return disputes for settlements initiated by a partner with an id matching one of the provided partnerIds.
  • closed boolean
    Optional boolean value indicating whether to include only closed/open disputes in the response. If true is provided, only closed disputes will be returned. If false is provided, only open disputes will be returned. If not provided, all disputes will be returned.
  • disputeIds array of strings
    Optional array of disputeIds. If provided will only return disputes with an id matching one of the provided disputeIds.
  • disputeClosureIds array of strings
    Optional array of disputeClosureIds. If provided will only return disputes with a disputeClosureId matching one of the provided disputeClosureIds.
  • pageNumber string integer
    The page number (integer) you wish to fetch. When provided, the API will skip pageSize * pageNumber records. Page numbers are zero-based, so the first page is 0. If not provided, defaults to 0.
  • pageSize string
    The page size (integer) you wish to fetch. When provided, the API will return at most pageSize records per page. If not provided, a default page size defined by the server will be used.

Responses

200
OK

Response Body

object

  • disputes array of objects required
    disputes object
    • disputeClosure object
      disputeClosure object
      • id string required
        The unique identifier of the dispute closure.
      • closedBy string enum required

        Who closed the dispute.

        • admin - The dispute was closed by an admin.
        • client - The dispute was closed by a client.
        clientadmin
      • userId string required
        The id of the user who closed the dispute.

        at least 1 characters

      • notes string required
        notes entered by the user when closing the dispute.

        at least 1 characters

      • adjustedSettlementTransfers array of objects required
        The resulting settlement transfers generated when the dispute was closed
        adjustedSettlementTransfers object
        • id string required
          The unique identifier of the settlement transfer.
        • sourceTradingAccountId string required
          The go account id of the source party.

          at least 1 characters

        • destinationTradingAccountId string required
          The go account id of the destination party.

          at least 1 characters

        • destinationNetworkAccountId string required
          The network account id of the destination party.
        • disputeClosureId string required
          The unique identifier of the dispute closure the settlement transfer was created from. This is a UUID that uniquely identifies dispute closure if the transfer was created as a result of closing a dispute.
        • currency string required
          The currency involved in the settlement movement.

          at least 1 characters

        • quantity string required
          The amount of currency being transferred in the settlement transfer. This is a non-zero value represented as a string. If the value is positive, that means funds were moved from the source account to the destination account. If the value is negative, that means funds were moved from the destination account to the source account.
        • status string enum required

          The status of the settlement transfer. Possible values and implications are:

          • pending: The transfer is pending and has not yet been processed.
          • pending_onchain: The transfer is pending on-chain movement (only relevant to on-chain settlements).
          • onchain_initiated: The transfer has been initiated on-chain (only relevant to on-chain settlements).
          • onchain_failed: The on-chain transfer has failed (only relevant to on-chain settlements).
          • completed: The transfer has been completed successfully.
          • failed: The transfer has failed.
          • rejected: The transfer has been rejected.
          • disputed: The transfer is disputed.
          pendingpending_onchainonchain_initiatedonchain_failedcompletedfailedrejecteddisputedpending_settlement_assignment
        • createdAt string date-time required
          The date and time when the settlement transfer was created. Represented as an ISO 8601 formatted date string.
        • updatedAt string date-time required
          The date and time when the settlement transfer was last updated. Represented as an ISO 8601 formatted date string.
        • settlementId string
          The unique identifier of the settlement the settlement transfer is associated with. This is a UUID that uniquely identifies the settlement. Will only be undefined if the settlement transfer is in pending_settlement_assignment status.
        • sourceNetworkAccountId string
          The network account id of the source party.
      • createdAt string date-time required
        The date and time when the dispute closure was created.
      • status string enum required
        The status of the dispute closure review.
        pending_reviewapprovedrejected
      • adjustedTransfers map of strings required
        The adjusted transfers as a result of the dispute closure.
        adjustedTransfers object
        • <key> string
      • reviewedBy string
        The id of the admin who reviewed the dispute closure.

        at least 1 characters

      • reviewNotes string
        Any comments entered by the admin when reviewing the dispute closure.

        at least 1 characters

    • id string required
    • createdAt string date-time required
    • updatedAt string date-time required
    • connectionId string required
    • disputedSettlementId string required
    • userId string required

      at least 1 characters

    • expectedTransfers map of strings required
      expectedTransfers object
      • <key> string
    • retracted boolean required
    • settledInSettlementId string
    • reason string

      at least 1 characters

    • retractedBy string

      at least 1 characters

    • retractedAt string date-time
    • disputeClosureId string
    • retractedReason string

      at least 1 characters

400
Bad Request
No response body
401
Unauthorized

Response Body

object

  • error string required
403
Forbidden

Response Body

object

  • error string required
404
Not Found

Response Body

object

  • error string required
409
Conflict

Response Body

object

  • error string required
422
Unprocessable Entity

Response Body

object

  • error string required
500
Internal Server Error

Response Body

object

  • error string required